/*
        brum - sort e-mail over IMAP utility    
        Written by Anicka <anicka@anicka.net> in 2008

        Can be used according to terms of GPL version 2.
*/

#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>
#include "common.h"

int debug;

void
die(char* msg, ...)
{
        va_list args;

        va_start(args, msg);
        vfprintf(stderr, msg, args);
        fputc('\n', stderr);
        va_end(args);
        exit(1);
}

void*
xmalloc(size_t size)
{
        void* ret;

        if (!(ret=malloc(size)))
                die("Low memory");

        return ret;
}
